org.springframework.messaging

## Interface ReactiveMessageHandler

All Known Implementing Classes:
  AbstractMethodMessageHandler, MessageMappingMessageHandler, RSocketMessageHandler

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ReactiveMessageHandler

Reactive contract for handling a `Message`.

Since:
  5.2
Author:
  Rossen Stoyanchev
See Also:
  `MessageHandler`

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<Void>` `handleMessage(Message<?> message)` Handle the given message.

### Method Detail

#### handleMessage

    reactor.core.publisher.Mono<Void> handleMessage(Message<?> message)

Handle the given message.

Parameters:
  `message` - the message to be handled
Returns:
  a completion `Mono` for the result of the message handling